org.apache.solr.common.cloud

## Class Replica

- java.lang.Object
- - org.apache.solr.common.cloud.ZkNodeProps
  - - org.apache.solr.common.cloud.Replica

All Implemented Interfaces:
  org.noggit.JSONWriter.Writable

    public class Replica
    extends ZkNodeProps

### Nested Class Summary

Nested Classes
`static class` `Replica.State` The replica's state.

### Field Summary

### Fields inherited from class org.apache.solr.common.cloud.ZkNodeProps

`propMap`

### Constructor Summary

Constructors
Constructor and Description
`Replica(String name, Map<String,Object> propMap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCoreName()`
`String` `getCoreUrl()`
`String` `getName()`
`String` `getNodeName()` The name of the node this replica resides on
`Replica.State` `getState()` Returns the `Replica.State` of this replica.
`boolean` `isActive(Set<String> liveNodes)`
`String` `toString()`

### Methods inherited from class org.apache.solr.common.cloud.ZkNodeProps

`containsKey, equals, fromKeyVals, get, getBool, getInt, getProperties, getStr, getStr, keySet, load, shallowCopy, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Replica

    public Replica(String name,
                   Map<String,Object> propMap)

### Method Detail

#### getName

    public String getName()

#### getCoreUrl

    public String getCoreUrl()

#### getCoreName

    public String getCoreName()

#### getNodeName

    public String getNodeName()

The name of the node this replica resides on

#### getState

    public Replica.State getState()

Returns the `Replica.State` of this replica.

#### isActive

    public boolean isActive(Set<String> liveNodes)

#### toString

    public String toString()

Overrides:
  `toString` in class `ZkNodeProps`